## ros-indigo-motoman-msgs 0.3.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(motoman_msgs)

find_package(catkin REQUIRED COMPONENTS std_msgs trajectory_msgs industrial_msgs genmsg message_generation)

add_message_files(
  FILES
  DynamicJointsGroup.msg
  DynamicJointPoint.msg
  DynamicJointTrajectory.msg
  DynamicJointState.msg
  DynamicJointTrajectoryFeedback.msg
  )

add_service_files(
  FILES
  CmdJointTrajectoryEx.srv
  )

generate_messages(
  DEPENDENCIES trajectory_msgs std_msgs industrial_msgs
)

catkin_package(
    CATKIN_DEPENDS message_runtime std_msgs trajectory_msgs industrial_msgs genmsg
)

=== debian/changelog ===
ros-indigo-motoman-msgs (0.3.7-0trusty) trusty; urgency=high

  * No changes

 -- Thiago de Freitas <tdf@ipa.fhg.de>  Tue, 21 Mar 2017 05:00:00 -0000

ros-indigo-motoman-msgs (0.3.6-0trusty) trusty; urgency=high

  * No changes

 -- Thiago de Freitas <tdf@ipa.fhg.de>  Mon, 20 Mar 2017 05:00:00 -0000

ros-indigo-motoman-msgs (0.3.5-0trusty) trusty; urgency=high

  * No changes

 -- Thiago de Freitas <tdf@ipa.fhg.de>  Sun, 03 Jul 2016 05:00:00 -0000

ros-indigo-motoman-msgs (0.3.4-0trusty) trusty; urgency=high

  * Support for multiple motion group control
  * Contributors: thiagodefreitas

 -- Thiago de Freitas <tdf@ipa.fhg.de>  Sun, 03 Jul 2016 05:00:00 -0000

ros-indigo-motoman-msgs (0.3.3-0trusty) trusty; urgency=high



 -- Thiago de Freitas <tdf@ipa.fhg.de>  Fri, 07 Feb 2014 06:00:00 -0000

ros-indigo-motoman-msgs (0.3.2-0trusty) trusty; urgency=high



 -- Thiago de Freitas <tdf@ipa.fhg.de>  Fri, 31 Jan 2014 06:00:00 -0000

ros-indigo-motoman-msgs (0.3.1-0trusty) trusty; urgency=high



 -- Thiago de Freitas <tdf@ipa.fhg.de>  Thu, 30 Jan 2014 06:00:00 -0000

=== debian/control ===
Source: ros-indigo-motoman-msgs
Section: misc
Priority: extra
Maintainer: Thiago de Freitas <tdf@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-genmsg, ros-indigo-industrial-msgs, ros-indigo-message-generation, ros-indigo-std-msgs, ros-indigo-trajectory-msgs
Homepage: http://ros.org/wiki/motoman_msgs
Standards-Version: 3.9.2

Package: ros-indigo-motoman-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-genmsg, ros-indigo-industrial-msgs, ros-indigo-message-runtime, ros-indigo-std-msgs, ros-indigo-trajectory-msgs
Description: set of messages to serve as support for the multi-groups driver

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-motoman-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
